### Hierarchy

- Pump

## Index

### Constructors

- constructor

### Properties

- consumer
- producer

### Methods

- start

## Constructors

### constructor

- new Pump(consumer: StreamConsumer, producer: StreamProducer): Pump

- - Defined in io/Pump.ts:4

  #### Parameters

  - ##### consumer: StreamConsumer

  - ##### producer: StreamProducer

  #### Returns Pump

## Properties

### Private consumer

consumer: StreamConsumer

- Defined in io/Pump.ts:5

### Private producer

producer: StreamProducer

- Defined in io/Pump.ts:5

## Methods

### start

- start(): Promise<void>

- - Defined in io/Pump.ts:7

  #### Returns Promise<void>

Generated using TypeDoc